=== debian/changelog ===
rawtherapee (3.0~a1+hg101.3ab930d2d140~dfsg1-1) unstable; urgency=low

  * Initial release (closes: #552000)

 -- Philip Rinn <rinni@gmx.net>  Wed,  26 May 2010 23:40:04 +0100
