=== debian/control ===
Source: rawtherapee
Section: graphics
Priority: optional
Maintainer: Philip Rinn <rinni@gmx.net>
Build-Depends: debhelper (>= 7.3.7), cmake (>= 2.6), imagemagick,
 libgtkmm-2.4-dev (>=2.14), libgtk2.0-dev (>=2.12), libtiff4-dev,
 liblcms1-dev, libiptcdata0-dev, libpng12-dev, libjpeg-dev, mercurial
Standards-Version: 3.8.4
Homepage: http://www.rawtherapee.com
Vcs-Git: git://github.com/rinni/RawTherapee-debian.git
Vcs-Browser: http://github.com/rinni/RawTherapee-debian

Package: rawtherapee
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: A free RAW converter and digital photo processing software
 RawTherapee is used to adjust some of the most often changed parameters when
 optimizing digital images. A normal user often just wants to adjust the white
 balance or brightness of a photo he took. Instead of using a big and expensive
 image editor you could use a small and fast tool like RawTherapee.
 More and more cameras also support RAW formats. RAW files usually offer higher
 color depth than JPGs. So the adjustments are done with the high color depth 
 and then afterwards converted to or saved as JPGs. RawTherapee supports JPG, 
 PNG and TIFF. All image processing is done in 16 bit/channel mode.
 Different to other RAW converters it can use EAHD as demosaicing algorithm.
 The raw loading engine of RawTherapee is based on dcraw.
