## rawtherapee 3.0~a1+hg193.38c23c24d316~dfsg1

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,6 +11,7 @@
 
 option (BUILD_SHARED "Build rawtherapee with shared libraries" OFF)
 option (WITH_RAWZOR "Build with Rawzor support" OFF)
+option (OPTION_OMP "Build with OpenMP support" ON)
 
 # set install directories
 if (NOT DEFINED DATADIR)
@@ -116,6 +117,13 @@
     endif (WIN32)
 endif (WITH_RAWZOR)
 
+if (OPTION_OMP)
+	find_package(OpenMP)
+	if (OPENMP_FOUND)
+		set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${OpenMP_CXX_FLAGS}")
+	endif (OPENMP_FOUND)
+endif (OPTION_OMP)
+
 add_subdirectory (rtexif)
 add_subdirectory (rtengine)
 add_subdirectory (rtgui)
