=== rtgui/CMakeLists.txt ===
--- 
+++ 
@@ -3,8 +3,8 @@
     batchtoolpanelcoord.cc paramsedited.cc cropwindow.cc previewhandler.cc previewwindow.cc navigator.cc indclippedpanel.cc filterpanel.cc
     cursormanager.cc rtwindow.cc renamedlg.cc recentbrowser.cc placesbrowser.cc filepanel.cc editorpanel.cc batchqueuepanel.cc
     ilabel.cc thumbbrowserbase.cc adjuster.cc filebrowserentry.cc filebrowser.cc filethumbnailbuttonset.cc
-    cachemanager.cc cacheimagedata.cc shcselector.cc
-    clipboard.cc thumbimageupdater.cc bqentryupdater.cc
+    cachemanager.cc cacheimagedata.cc shcselector.cc perspective.cc
+    clipboard.cc thumbimageupdater.cc bqentryupdater.cc lensgeom.cc
     coarsepanel.cc cacorrection.cc colorshift.cc hlrec.cc chmixer.cc
     colorboost.cc resize.cc icmpanel.cc crop.cc shadowshighlights.cc
     colordenoise.cc
@@ -23,7 +23,8 @@
     thumbbrowserentrybase.cc batchqueueentry.cc
     batchqueue.cc lwbutton.cc lwbuttonset.cc
     batchqueuebuttonset.cc browserfilter.cc exiffiltersettings.cc
-    profilestore.cc partialpastedlg.cc)
+    profilestore.cc partialpastedlg.cc
+    equalizer.cc)
 
 if (WIN32)
     set (EXTRA_SRC windirmonitor.cc myicon.o)
