=== debian/changelog ===
rawtherapee (3.0~a1+hg193.38c23c24d316~dfsg1-1) experimental; urgency=low

  * New upstream snapshot:
    - Update dcraw to 9.03
    - Add demosaic algorithm AMaZE
    - Add CA auto-correction
    - Add wavelet equalizer
    - Start to use OpenMP
    - fixes a lot of bugs
  * Refresh patches to apply cleanly.
  * Add debian/patches/04-move-cache.patch:
    - Move the cache directory automatically to the new location
  * debian/copyright: update copyright info.
  * debian/control: remove build dependency mercurial.
  * Bump debhelper compat from 7 to 8 (no changes necessary).
  * Bump Standards-Version to 3.9.1 (no changes necessary).

 -- Philip Rinn <rinni@gmx.net>  Sat,  21 Aug 2010 19:36:37 +0100
