=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: graphics
 Priority: optional
 Maintainer: Philip Rinn <rinni@gmx.net>
-Build-Depends: debhelper (>= 7.3.7), cmake (>= 2.6), imagemagick,
+Build-Depends: debhelper (>= 8.0.0), cmake (>= 2.6), imagemagick,
  libgtkmm-2.4-dev (>=2.14), libgtk2.0-dev (>=2.12), libtiff4-dev,
- liblcms1-dev, libiptcdata0-dev, libpng12-dev, libjpeg-dev, mercurial
-Standards-Version: 3.8.4
+ liblcms1-dev, libiptcdata0-dev, libpng12-dev, libjpeg-dev
+Standards-Version: 3.9.1
 Homepage: http://www.rawtherapee.com
 Vcs-Git: git://github.com/rinni/RawTherapee-debian.git
 Vcs-Browser: http://github.com/rinni/RawTherapee-debian
