## rawtherapee 3.0.0~dfsg1

=== debian/changelog ===
rawtherapee (3.0.0~dfsg1-1) unstable; urgency=low

  * New upstream release (closes LP: #795161).
  * Remove debian/rawtherapee.desktop as it's shipped upstream
  * Remove debian/patches/01-change-name.patch:
    - applied upstream
  * Remove debian/patches/03-change-config-dir.patch:
    - merge with patch debian/patches/01-AboutThisBuild.patch
  * Update debian/patches/01-AboutThisBuild.patch to reflect upstream changes.
  * debian/copyright: update copyright info.
  * Bump Standards-Version to 3.9.2 (no changes necessary).
  
 -- Philip Rinn <rinni@gmx.net>  Sat,  16 Jul 2011 15:06:34 +0200

rawtherapee (3.0~a2+hg1075.9a478044c65c~dfsg1-1) unstable; urgency=low

  * New upstream snapshot:
    - Switch to branch 'branch_3.0'
    - Improve automatic white balance (closes: #588220)
    - Don't crash with some Sony RAW files (closes: #610727)
    - many other bugfixes (e.g. LP: #738429)
  * Refresh patches to apply cleanly.
  * Remove debian/patches/01-no-debug-build.patch:
    - No need for a patch. We can do this in debian/rules
  * Remove debian/patches/04-move-cache.patch:
    - It's accepted upstream
  * Add debian/patches/01-AboutThisBuild.patch:
    - Hard-code version as we don't ship the whole repository
  * debian/copyright: update copyright info.

 -- Philip Rinn <rinni@gmx.net>  Sun,  03 Apr 2011 09:37:21 +0200
