=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper (>= 8.0.0), cmake (>= 2.6), imagemagick,
  libgtkmm-2.4-dev (>=2.14), libgtk2.0-dev (>=2.12), libtiff4-dev,
  liblcms1-dev, libiptcdata0-dev, libpng12-dev, libjpeg-dev
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://www.rawtherapee.com
 Vcs-Git: git://github.com/rinni/RawTherapee-debian.git
 Vcs-Browser: http://github.com/rinni/RawTherapee-debian
@@ -13,7 +13,7 @@
 Package: rawtherapee
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Description: A free RAW converter and digital photo processing software
+Description: Free RAW converter and digital photo processing software
  RawTherapee is used to adjust some of the most often changed parameters when
  optimizing digital images. A normal user often just wants to adjust the white
  balance or brightness of a photo he took. Instead of using a big and expensive
@@ -24,4 +24,3 @@
  PNG and TIFF. All image processing is done in 16 bit/channel mode.
  Different to other RAW converters it can use EAHD as demosaicing algorithm.
  The raw loading engine of RawTherapee is based on dcraw.
-
