=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=Release -DCREDITSDIR=/usr/share/doc/rawtherapee -DLICENCEDIR=/usr/share/doc/rawtherapee

override_dh_install:
	dh_install
	convert -geometry 32x32 rtdata/images/logoicon32.png $(CURDIR)/debian/rawtherapee/usr/share/pixmaps/rawtherapee.xpm
	rm $(CURDIR)/debian/rawtherapee/usr/share/doc/rawtherapee/LICENSE.txt
	rm $(CURDIR)/debian/rawtherapee/usr/bin/rtstart

SRC_VERSION := $(shell dpkg-parsechangelog | sed -ne 's/^Version: \(.*\)\.*-.*/\1/p')
HG_REV :=  $(shell echo $(SRC_VERSION) | sed 's/\(.*\)\.*~.*/\1/')
.PHONY: get-orig-source
get-orig-source:
	rm -rf get-orig-source rawtherapee-$(SRC_VERSION).orig.tar.gz
	mkdir get-orig-source
	hg clone https://rawtherapee.googlecode.com/hg/ get-orig-source/rawtherapee-$(SRC_VERSION).orig
	hg -R get-orig-source/rawtherapee-$(SRC_VERSION).orig checkout $(HG_REV)
	
	# non-GPL compression library
	rm -r get-orig-source/rawtherapee-$(SRC_VERSION).orig/rawzor_*
	# precompiled libaries for windows
	rm -r get-orig-source/rawtherapee-$(SRC_VERSION).orig/lib
	rm get-orig-source/rawtherapee-$(SRC_VERSION).orig/languagePack.nsi
	rm get-orig-source/rawtherapee-$(SRC_VERSION).orig/rtinstaller.nsi
	# outdated documentation
	rm -r get-orig-source/rawtherapee-$(SRC_VERSION).orig/doc
	# stuff we don't need
	rm -r get-orig-source/rawtherapee-$(SRC_VERSION).orig/tools
	rm -r get-orig-source/rawtherapee-$(SRC_VERSION).orig/winclude
	rm get-orig-source/rawtherapee-$(SRC_VERSION).orig/rtdata/images/deltags.pp2
	# unnecessary extra licence file
	rm get-orig-source/rawtherapee-$(SRC_VERSION).orig/rtdata/languages/LICENSE
	# Mercurial files
	rm -r get-orig-source/rawtherapee-$(SRC_VERSION).orig/.hg
	rm get-orig-source/rawtherapee-$(SRC_VERSION).orig/.hgignore
	rm get-orig-source/rawtherapee-$(SRC_VERSION).orig/.hgtags
	
	GZIP=-9 tar czf rawtherapee_$(SRC_VERSION).orig.tar.gz -C get-orig-source rawtherapee-$(SRC_VERSION).orig
	rm -rf get-orig-source
