=== rtgui/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 
 set (BASESOURCEFILES
-    batchtoolpanelcoord.cc paramsedited.cc cropwindow.cc previewhandler.cc previewwindow.cc navigator.cc indclippedpanel.cc filterpanel.cc
+    editwindow.cc batchtoolpanelcoord.cc paramsedited.cc cropwindow.cc previewhandler.cc previewwindow.cc navigator.cc indclippedpanel.cc filterpanel.cc
     cursormanager.cc rtwindow.cc renamedlg.cc recentbrowser.cc placesbrowser.cc filepanel.cc editorpanel.cc batchqueuepanel.cc
     ilabel.cc thumbbrowserbase.cc adjuster.cc filebrowserentry.cc filebrowser.cc filethumbnailbuttonset.cc
     cachemanager.cc cacheimagedata.cc shcselector.cc perspective.cc
@@ -8,26 +8,31 @@
     coarsepanel.cc cacorrection.cc colorshift.cc hlrec.cc chmixer.cc
     colorboost.cc resize.cc icmpanel.cc crop.cc shadowshighlights.cc
     colordenoise.cc
-    exifpanel.cc
+    impulsedenoise.cc dirpyrdenoise.cc
+    exifpanel.cc toolpanel.cc
     sharpening.cc
     whitebalance.cc   vignetting.cc rotate.cc distortion.cc
-    crophandler.cc curveeditor.cc dirbrowser.cc
+    crophandler.cc dirbrowser.cc
+    curveeditor.cc curveeditorgroup.cc diagonalcurveeditorsubgroup.cc flatcurveeditorsubgroup.cc
     filecatalog.cc
+    previewloader.cc
     histogrampanel.cc history.cc  imagearea.cc
-    imageareapanel.cc iptcpanel.cc lcurve.cc lumadenoise.cc main.cc
-    multilangmgr.cc mycurve.cc options.cc
-    preferences.cc profilepanel.cc safegtk.cc saveasdlg.cc
+    imageareapanel.cc iptcpanel.cc labcurve.cc lumadenoise.cc main.cc
+    multilangmgr.cc mycurve.cc myflatcurve.cc mydiagonalcurve.cc options.cc
+    preferences.cc profilepanel.cc saveasdlg.cc
     saveformatpanel.cc splash.cc
     thumbnail.cc tonecurve.cc toolbar.cc
     guiutils.cc zoompanel.cc toolpanelcoord.cc
     thumbbrowserentrybase.cc batchqueueentry.cc
     batchqueue.cc lwbutton.cc lwbuttonset.cc
     batchqueuebuttonset.cc browserfilter.cc exiffiltersettings.cc
-    profilestore.cc partialpastedlg.cc
-    equalizer.cc)
+    profilestore.cc partialpastedlg.cc rawprocess.cc preprocess.cc
+    darkframe.cc rawcacorrection.cc rawexposure.cc
+    equalizer.cc dirpyrequalizer.cc hsvequalizer.cc defringe.cc
+    popupcommon.cc popupbutton.cc popuptogglebutton.cc)
 
 if (WIN32)
-    set (EXTRA_SRC windirmonitor.cc myicon.o)
+    set (EXTRA_SRC windirmonitor.cc myicon.rc)
     include_directories ( ../rtengine ${CMAKE_CURRENT_BINARY_DIR} . ../rtexif ${EXTRA_INCDIR} ${GLIB2_INCLUDE_DIRS} ${GLIBMM_INCLUDE_DIRS}
         ${GTK_INCLUDE_DIRS} ${GTKMM_INCLUDE_DIRS} ${GIO_INCLUDE_DIRS} ${GIOMM_INCLUDE_DIRS})
     link_directories (. ../rtexif ${EXTRA_LIBDIR} ${GLIB2_LIBRARY_DIRS} ${GLIBMM_LIBRARY_DIRS}
@@ -44,7 +49,7 @@
 
 add_executable (rth ${EXTRA_SRC} ${BASESOURCEFILES})
 
-set_target_properties (rth PROPERTIES COMPILE_FLAGS "${CMAKE_CXX_FLAGS}" OUTPUT_NAME rt)
+set_target_properties (rth PROPERTIES COMPILE_FLAGS "${CMAKE_CXX_FLAGS}" OUTPUT_NAME rawtherapee)
 #target_link_libraries (rth rtengine ${JPEG_LIBRARIES} ${PNG_LIBRARIES} ${ZLIB_LIBRARIES} ${TIFF_LIBRARIES} ${EXTRA_LIB} ${GOBJECT_LIBRARIES} ${GTHREAD_LIBRARIES}
 #   ${GLIB2_LIBRARIES} ${GLIBMM_LIBRARIES} ${GTK_LIBRARIES} ${GTKMM_LIBRARIES} ${GIO_LIBRARIES} ${GIOMM_LIBRARIES} ${LCMS_LIBRARIES} ${IPTCDATA_LIBRARIES})
 target_link_libraries (rth rtengine ${JPEG_LIBRARIES} ${PNG_LIBRARIES} ${ZLIB_LIBRARIES} ${TIFF_LIBRARIES} ${GOBJECT_LIBRARIES} ${GTHREAD_LIBRARIES}
